---
hide:
  - navigation
---

# Release Notes

## Latest Changes

## 1.7.0

### Features

* ✨ Upgrade sqlalchemy to `v2`. PR [#202](https://github.com/yezz123/ormdantic/pull/202) by [@yezz123](https://github.com/yezz123).

### Internal

* 👷 Add setup for uv and use uv for dependency installation. PR [#198](https://github.com/yezz123/ormdantic/pull/198) by [@yezz123](https://github.com/yezz123).
* 🔨 Migrate to use UV For Dependencies Management. PR [#200](https://github.com/yezz123/ormdantic/pull/200) by [@yezz123](https://github.com/yezz123).
* 👷 Add `latest-changes` workflow action. PR [#203](https://github.com/yezz123/ormdantic/pull/203) by [@yezz123](https://github.com/yezz123).

### Docs

* 📝 Generate API documentation & add docstrings. PR [#206](https://github.com/yezz123/ormdantic/pull/206) by [@yezz123](https://github.com/yezz123).
* 📝 refactor documentation. PR [#205](https://github.com/yezz123/ormdantic/pull/205) by [@yezz123](https://github.com/yezz123).
* 📝 Add configuration code for `termynal`. PR [#204](https://github.com/yezz123/ormdantic/pull/204) by [@yezz123](https://github.com/yezz123).

### Dependencies

* ⬆ Bump samuelcolvin/check-python-version from 3.1 to 4.1. PR [#175](https://github.com/yezz123/ormdantic/pull/175) by [@dependabot](https://github.com/apps/dependabot).
* ⬆ Bump mypy from 1.7.1 to 1.8.0. PR [#174](https://github.com/yezz123/ormdantic/pull/174) by [@dependabot](https://github.com/apps/dependabot).
* ⬆ Bump pymdown-extensions from 10.5 to 10.7. PR [#176](https://github.com/yezz123/ormdantic/pull/176) by [@dependabot](https://github.com/apps/dependabot).
* ⬆ Bump pytest from 7.4.3 to 7.4.4. PR [#177](https://github.com/yezz123/ormdantic/pull/177) by [@dependabot](https://github.com/apps/dependabot).
* ⬆ Bump pytest-asyncio from 0.23.2 to 0.23.3. PR [#178](https://github.com/yezz123/ormdantic/pull/178) by [@dependabot](https://github.com/apps/dependabot).
* ⬆ Bump jinja2 from 3.1.2 to 3.1.3. PR [#179](https://github.com/yezz123/ormdantic/pull/179) by [@dependabot](https://github.com/apps/dependabot).
* ⬆ Bump codecov/codecov-action from 3 to 4. PR [#183](https://github.com/yezz123/ormdantic/pull/183) by [@dependabot](https://github.com/apps/dependabot).
* ⬆ Bump pytest-asyncio from 0.23.3 to 0.23.4. PR [#182](https://github.com/yezz123/ormdantic/pull/182) by [@dependabot](https://github.com/apps/dependabot).
* ⬆ Bump pre-commit from 3.6.0 to 3.6.1. PR [#186](https://github.com/yezz123/ormdantic/pull/186) by [@dependabot](https://github.com/apps/dependabot).
* ⬆ Bump pytest-asyncio from 0.23.4 to 0.23.5. PR [#185](https://github.com/yezz123/ormdantic/pull/185) by [@dependabot](https://github.com/apps/dependabot).
* ⬆ Bump pre-commit/action from 3.0.0 to 3.0.1. PR [#184](https://github.com/yezz123/ormdantic/pull/184) by [@dependabot](https://github.com/apps/dependabot).
* ⬆ Bump pre-commit from 3.6.1 to 3.6.2. PR [#187](https://github.com/yezz123/ormdantic/pull/187) by [@dependabot](https://github.com/apps/dependabot).
* ⬆ Bump pytest from 7.4.4 to 8.0.1. PR [#188](https://github.com/yezz123/ormdantic/pull/188) by [@dependabot](https://github.com/apps/dependabot).
* ⬆ Bump pytest from 8.0.1 to 8.0.2. PR [#190](https://github.com/yezz123/ormdantic/pull/190) by [@dependabot](https://github.com/apps/dependabot).
* ⬆ Update typing-extensions requirement from <4.10.0,>=3.7.4 to >=3.7.4,<4.11.0. PR [#189](https://github.com/yezz123/ormdantic/pull/189) by [@dependabot](https://github.com/apps/dependabot).
* ⬆ Bump pypa/gh-action-pypi-publish from 1.8.11 to 1.8.12. PR [#191](https://github.com/yezz123/ormdantic/pull/191) by [@dependabot](https://github.com/apps/dependabot).
* ⬆ Bump pytest from 8.0.2 to 8.1.0. PR [#192](https://github.com/yezz123/ormdantic/pull/192) by [@dependabot](https://github.com/apps/dependabot).
* ⬆ Bump pytest from 8.1.0 to 8.1.1. PR [#197](https://github.com/yezz123/ormdantic/pull/197) by [@dependabot](https://github.com/apps/dependabot).
* ⬆ Bump pypa/gh-action-pypi-publish from 1.8.12 to 1.8.14. PR [#193](https://github.com/yezz123/ormdantic/pull/193) by [@dependabot](https://github.com/apps/dependabot).
* ⬆ Bump pymdown-extensions from 10.7 to 10.7.1. PR [#196](https://github.com/yezz123/ormdantic/pull/196) by [@dependabot](https://github.com/apps/dependabot).
* ⬆ Bump mypy from 1.8.0 to 1.9.0. PR [#195](https://github.com/yezz123/ormdantic/pull/195) by [@dependabot](https://github.com/apps/dependabot).
* ⬆ Bump pytest-asyncio from 0.23.5 to 0.23.5.post1. PR [#194](https://github.com/yezz123/ormdantic/pull/194) by [@dependabot](https://github.com/apps/dependabot).

## 1.6.1

### Features

* ➕ Add Support for Python 3.12. PR [#161](https://github.com/yezz123/ormdantic/pull/161) by [@yezz123](https://github.com/yezz123).

### Internal

* ♻️ Refactor the CI & support testing in different OS. PR [#172](https://github.com/yezz123/ormdantic/pull/172) by [@yezz123](https://github.com/yezz123).
* 🔧 Switch to fully configure ruff for formatting. PR [#173](https://github.com/yezz123/ormdantic/pull/173) by [@yezz123](https://github.com/yezz123).

### Dependencies

* ⬆ Bump pytest from 7.3.1 to 7.3.2. PR [#132](https://github.com/yezz123/ormdantic/pull/132) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pre-commit from 3.3.2 to 3.3.3. PR [#133](https://github.com/yezz123/ormdantic/pull/133) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pytest from 7.3.2 to 7.4.0. PR [#134](https://github.com/yezz123/ormdantic/pull/134) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump mypy from 1.3.0 to 1.4.1. PR [#135](https://github.com/yezz123/ormdantic/pull/135) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Update typing-extensions requirement from <4.7.0,>=3.7.4 to >=3.7.4,<4.8.0. PR [#136](https://github.com/yezz123/ormdantic/pull/136) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pypa/gh-action-pypi-publish from 1.8.6 to 1.8.7. PR [#138](https://github.com/yezz123/ormdantic/pull/138) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump mkdocs-mermaid2-plugin from 0.6.0 to 1.0.6. PR [#145](https://github.com/yezz123/ormdantic/pull/145) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump mkdocs-mermaid2-plugin from 1.0.6 to 1.1.1. PR [#151](https://github.com/yezz123/ormdantic/pull/151) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pymdown-extensions from 10.0.1 to 10.3. PR [#148](https://github.com/yezz123/ormdantic/pull/148) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pytest-asyncio from 0.21.0 to 0.21.1. PR [#140](https://github.com/yezz123/ormdantic/pull/140) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pypa/gh-action-pypi-publish from 1.8.7 to 1.8.10. PR [#147](https://github.com/yezz123/ormdantic/pull/147) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump actions/checkout from 3 to 4. PR [#150](https://github.com/yezz123/ormdantic/pull/150) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump mypy from 1.4.1 to 1.6.1. PR [#157](https://github.com/yezz123/ormdantic/pull/157) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pre-commit from 3.3.3 to 3.5.0. PR [#156](https://github.com/yezz123/ormdantic/pull/156) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pytest from 7.4.0 to 7.4.2. PR [#154](https://github.com/yezz123/ormdantic/pull/154) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Update typing-extensions requirement from <4.8.0,>=3.7.4 to >=3.7.4,<4.9.0. PR [#160](https://github.com/yezz123/ormdantic/pull/160) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pytest from 7.4.2 to 7.4.3. PR [#158](https://github.com/yezz123/ormdantic/pull/158) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pymdown-extensions from 10.3 to 10.3.1. PR [#159](https://github.com/yezz123/ormdantic/pull/159) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump mypy from 1.6.1 to 1.7.1. PR [#164](https://github.com/yezz123/ormdantic/pull/164) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pymdown-extensions from 10.3.1 to 10.5. PR [#165](https://github.com/yezz123/ormdantic/pull/165) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pypa/gh-action-pypi-publish from 1.8.10 to 1.8.11. PR [#166](https://github.com/yezz123/ormdantic/pull/166) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pytest-asyncio from 0.21.1 to 0.23.2. PR [#167](https://github.com/yezz123/ormdantic/pull/167) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Update typing-extensions requirement from <4.9.0,>=3.7.4 to >=3.7.4,<4.10.0. PR [#170](https://github.com/yezz123/ormdantic/pull/170) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump actions/setup-python from 4 to 5. PR [#169](https://github.com/yezz123/ormdantic/pull/169) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pre-commit from 3.5.0 to 3.6.0. PR [#168](https://github.com/yezz123/ormdantic/pull/168) by [@dependabot](https://github.com/apps/dependabot)

## 1.6.0

### Internal

* ➖ Remove Workflow for documentation. PR [#114](https://github.com/yezz123/ormdantic/pull/114) by [@yezz123](https://github.com/yezz123)
* ✨ Combine all workflows in one & Update Coverage configuration. PR [#128](https://github.com/yezz123/ormdantic/pull/128) by [@yezz123](https://github.com/yezz123)

### Dependencies

* ⬆ Update mkdocs-material requirement from <9.0.0,>=8.1.4 to >=8.1.4,<10.0.0. PR [#80](https://github.com/yezz123/ormdantic/pull/80) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pymdown-extensions from 9.9 to 9.9.1. PR [#82](https://github.com/yezz123/ormdantic/pull/82) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pytest from 7.2.0 to 7.2.1. PR [#83](https://github.com/yezz123/ormdantic/pull/83) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pymdown-extensions from 9.9.1 to 9.9.2. PR [#85](https://github.com/yezz123/ormdantic/pull/85) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pre-commit from 2.21.0 to 3.0.0. PR [#86](https://github.com/yezz123/ormdantic/pull/86) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pre-commit from 3.0.0 to 3.0.1. PR [#88](https://github.com/yezz123/ormdantic/pull/88) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Update sqlalchemy[asyncio] requirement from <1.5.0,>=1.3.18 to >=1.3.18,<2.1.0. PR [#87](https://github.com/yezz123/ormdantic/pull/87) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pre-commit from 3.0.1 to 3.0.2. PR [#89](https://github.com/yezz123/ormdantic/pull/89) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pytest-pretty from 1.0.1 to 1.1.0. PR [#91](https://github.com/yezz123/ormdantic/pull/91) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pre-commit from 3.0.2 to 3.0.3. PR [#90](https://github.com/yezz123/ormdantic/pull/90) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pre-commit from 3.0.3 to 3.0.4. PR [#92](https://github.com/yezz123/ormdantic/pull/92) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump mypy from 0.991 to 1.0.0. PR [#93](https://github.com/yezz123/ormdantic/pull/93) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump markdown-include from 0.8.0 to 0.8.1. PR [#94](https://github.com/yezz123/ormdantic/pull/94) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Update typing-extensions requirement from <4.5.0,>=3.7.4 to >=3.7.4,<4.6.0. PR [#95](https://github.com/yezz123/ormdantic/pull/95) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump mypy from 1.0.0 to 1.0.1. PR [#96](https://github.com/yezz123/ormdantic/pull/96) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pre-commit from 3.0.4 to 3.1.0. PR [#97](https://github.com/yezz123/ormdantic/pull/97) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pre-commit from 3.1.0 to 3.1.1. PR [#98](https://github.com/yezz123/ormdantic/pull/98) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pytest from 7.2.1 to 7.2.2. PR [#99](https://github.com/yezz123/ormdantic/pull/99) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pymdown-extensions from 9.9.2 to 9.10. PR [#100](https://github.com/yezz123/ormdantic/pull/100) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump mypy from 1.0.1 to 1.1.1. PR [#101](https://github.com/yezz123/ormdantic/pull/101) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pypa/gh-action-pypi-publish from 1.6.4 to 1.8.0. PR [#103](https://github.com/yezz123/ormdantic/pull/103) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pypa/gh-action-pypi-publish from 1.8.0 to 1.8.1. PR [#104](https://github.com/yezz123/ormdantic/pull/104) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pytest-asyncio from 0.20.3 to 0.21.0. PR [#105](https://github.com/yezz123/ormdantic/pull/105) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pre-commit from 3.1.1 to 3.2.0. PR [#106](https://github.com/yezz123/ormdantic/pull/106) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pytest-pretty from 1.1.0 to 1.1.1. PR [#107](https://github.com/yezz123/ormdantic/pull/107) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump mypy from 1.1.1 to 1.2.0. PR [#108](https://github.com/yezz123/ormdantic/pull/108) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pre-commit from 3.2.0 to 3.2.1. PR [#109](https://github.com/yezz123/ormdantic/pull/109) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pypa/gh-action-pypi-publish from 1.8.1 to 1.8.3. PR [#108](https://github.com/yezz123/ormdantic/pull/108) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pre-commit from 3.2.1 to 3.2.2. PR [#112](https://github.com/yezz123/ormdantic/pull/112) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pypa/gh-action-pypi-publish from 1.8.3 to 1.8.4. PR [#110](https://github.com/yezz123/ormdantic/pull/110) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pytest-pretty from 1.1.1 to 1.2.0. PR [#113](https://github.com/yezz123/ormdantic/pull/113) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pre-commit from 3.2.1 to 3.2.2. PR [#112](https://github.com/yezz123/ormdantic/pull/112) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pypa/gh-action-pypi-publish from 1.8.4 to 1.8.5. PR [#111](https://github.com/yezz123/ormdantic/pull/111) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump mypy from 1.1.1 to 1.2.0. PR [#115](https://github.com/yezz123/ormdantic/pull/115) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pytest from 7.2.2 to 7.3.0. PR [#116](https://github.com/yezz123/ormdantic/pull/116) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pymdown-extensions from 9.10 to 9.11. PR [#117](https://github.com/yezz123/ormdantic/pull/117) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pytest from 7.3.0 to 7.3.1. PR [#118](https://github.com/yezz123/ormdantic/pull/118) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump codecov from 2.1.12 to 2.1.13. PR [#119](https://github.com/yezz123/ormdantic/pull/119) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pypa/gh-action-pypi-publish from 1.8.5 to 1.8.6. PR [#121](https://github.com/yezz123/ormdantic/pull/121) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump mypy from 1.2.0 to 1.3.0. PR [#123](https://github.com/yezz123/ormdantic/pull/123) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pymdown-extensions from 9.11 to 10.0.1. PR [#124](https://github.com/yezz123/ormdantic/pull/124) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pre-commit from 3.2.2 to 3.3.2. PR [#125](https://github.com/yezz123/ormdantic/pull/125) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Update typing-extensions requirement from <4.6.0,>=3.7.4 to >=3.7.4,<4.7.0. PR [#126](https://github.com/yezz123/ormdantic/pull/126) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pytest-cov from 4.0.0 to 4.1.0. PR [#127](https://github.com/yezz123/ormdantic/pull/127) by [@dependabot](https://github.com/apps/dependabot)

## 1.5.1

### Features

* ✨ Added support for the `StrictInt` and `StrictFloat` types. PR [#74](https://github.com/yezz123/ormdantic/pull/74) by [@yezz123](https://github.com/yezz123)
* ✨ Support constrained lists. PR [#75](https://github.com/yezz123/ormdantic/pull/75) by [@yezz123](https://github.com/yezz123)
* ✨ Support ForwardRef. PR [#76](https://github.com/yezz123/ormdantic/pull/76) by [@yezz123](https://github.com/yezz123)

### Internal

* ⚙️ Upgrade `pre-commit` & Support Ruff. PR [#78](https://github.com/yezz123/ormdantic/pull/78) by [@yezz123](https://github.com/yezz123)

### Dependencies

* ⬆ Bump pre-commit from 2.20.0 to 2.21.0. PR [#77](https://github.com/yezz123/ormdantic/pull/77) by [@dependabot](https://github.com/apps/dependabot)

## 1.5.0

### Features

* ✨ Introduce generator for Pydantic Model. PR [#73](https://github.com/yezz123/ormdantic/pull/73) by [@yezz123](https://github.com/yezz123)

### Dependencies

* ⬆ Bump pymdown-extensions from 9.7 to 9.8. PR [#61](https://github.com/yezz123/ormdantic/pull/61) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump mypy from 0.982 to 0.990. PR [#62](https://github.com/yezz123/ormdantic/pull/62) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pytest-asyncio from 0.20.1 to 0.20.2. PR [#63](https://github.com/yezz123/ormdantic/pull/63) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump mypy from 0.990 to 0.991. PR [#64](https://github.com/yezz123/ormdantic/pull/64) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pymdown-extensions from 9.8 to 9.9. PR [#66](https://github.com/yezz123/ormdantic/pull/66) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump markdown-include from 0.7.0 to 0.8.0. PR [#65](https://github.com/yezz123/ormdantic/pull/65) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pypa/gh-action-pypi-publish from 1.5.1 to 1.5.2. PR [#67](https://github.com/yezz123/ormdantic/pull/67) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pypa/gh-action-pypi-publish from 1.5.2 to 1.6.1. PR [#69](https://github.com/yezz123/ormdantic/pull/69) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pypa/gh-action-pypi-publish from 1.6.1 to 1.6.4. PR [#70](https://github.com/yezz123/ormdantic/pull/70) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump pytest-asyncio from 0.20.2 to 0.20.3. PR [#71](https://github.com/yezz123/ormdantic/pull/71) by [@dependabot](https://github.com/apps/dependabot)

## 1.4.1

### Dependencies

* ⬆ Bump `pytest-asyncio` from 0.18.3 to 0.20.1. PR [#56](https://github.com/yezz123/ormdantic/pull/56) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump `pre-commit` from 2.19.0 to 2.20.0. PR [#57](https://github.com/yezz123/ormdantic/pull/57) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump `mkdocs-mermaid2-plugin` from 0.5.2 to 0.6.0. PR [#58](https://github.com/yezz123/ormdantic/pull/58) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump `pymdown-extensions` from 9.1 to 9.7. PR [#59](https://github.com/yezz123/ormdantic/pull/59) by [@dependabot](https://github.com/apps/dependabot)
* ⬆ Bump `pytest-cov` from 3.0.0 to 4.0.0. PR [#60](https://github.com/yezz123/ormdantic/pull/60) by [@dependabot](https://github.com/apps/dependabot)

## 1.4.0

### Features

* ✨ Introduce the `count()` Feature. PR [#50](https://github.com/yezz123/ormdantic/pull/50) by [@yezz123](https://github.com/yezz123)

### Internal

* 👷🏻 Add Integration Python 3.11. PR [#42](https://github.com/yezz123/ormdantic/pull/42) by [@yezz123](https://github.com/yezz123)

### Documentation

* 📝 Improve the documentation. PR [#44](https://github.com/yezz123/ormdantic/pull/44) by [@iron3oxide](https://github.com/iron3oxide)

## 1.3.0

### Internal

* 👷🏻 Add Integration Integrations Tests. PR [#36](https://github.com/yezz123/ormdantic/pull/36)by [@yezz123](https://github.com/yezz123)
* 👷🏻 Migrate to Hatchling. PR [#38](https://github.com/yezz123/ormdantic/pull/38) by [@yezz123](https://github.com/yezz123)

### Refactor

* ♻️ Improve the Generator for Both `Crud` & `Table` Classes. PR [#29](https://github.com/yezz123/ormdantic/pull/29) by [@yezz123](https://github.com/yezz123)

### Documentation

* 📝 Build Documentation for `Ormdantic`. PR [#23](https://github.com/yezz123/ormdantic/pull/23) by @yezz123.
* 📝 Update FAQ. PR [#26](https://github.com/yezz123/ormdantic/pull/26) by @iron3oxide
* 📝 Convert comparison to SQLModel to table and update claims. PR [#27](https://github.com/yezz123/ormdantic/pull/27) by @iron3oxide
* 📝 Fix code block format in comparison table. PR [#28](https://github.com/yezz123/ormdantic/pull/28) by @iron3oxide

## 1.2.0

### Features

* ✨ chore(fix): Ormdantic takes connection str instead of engine. PR [#16](https://github.com/yezz123/ormdantic/pull/16) by [@yezz123](https://github.com/yezz123).

## 1.1.0

### Features

* ✨ feat(fix): Improve many to many relationships & add New tests. PR [#15](https://github.com/yezz123/ormdantic/pull/15) by [@yezz123](https://github.com/yezz123).

## 1.0.0

__note__: This is the first release of `ormdantic` 🎉
